Bug 172647 - md rebuild very slow in kernel-smp-2.6.14-1.1649_FC5
md rebuild very slow in kernel-smp-2.6.14-1.1649_FC5
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-11-07 16:11 EST by Paul Flinders
Modified: 2015-01-04 17:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-20 16:45:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul Flinders 2005-11-07 16:11:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051103 Fedora/1.5-0.5.0.rc1 Firefox/1.5

Description of problem:
One of my RAID partitions was kicked out on reboot following a crash as "non-fresh". This happens quite a bit, sometimes even on normal restart which is annoying (but that's not the bug report).

Generally I do 
/sbin/mdadm --manage -a /dev/md1 /dev/sdb2

To hot-add the partition back.

Usually this is through in less than an hour (80G RAID-1 on two SATA disks, hdparm reports 50MB/s on the disks).

Under 2.6.14-1.1649_FC5 after two hours the rebuild was only 10% complete. I gave up, rebooted to 2.6.13-1.1532_FC4 and the array rebuilt in 40 minutes.

Hardware is a 3.0Ghz P4 with HT (smp kernels in both instances above). System was fully in sync with the "development" tree yesterday.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Additional info:
Comment 1 Dave Jones 2006-10-16 16:13:35 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 Paul Flinders 2006-10-25 09:13:43 EDT
Rebuild seems OK in 2.6.18-1.2798

Note You need to log in before you can comment on or make changes to this bug.